=== java_libs/com/lowagie/text/markup/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # the "$*" automatic variable, here
 #
 %.h : %.class
-	$(GCJH) $*;
+	$(GCJH) --classpath="." $*;
 	$(RM) $<
 
 ##
