## pdftk 1.41+dfsg

=== debian/changelog ===
pdftk (1.41+dfsg-8) unstable; urgency=low

  * Imrove error handling on non-standard conform pdf files.
  * Use error reporting via non-zero exit code for all errors.
    (Closes: #577849)
  * Bump Standards-Version to 3.8.4.

 -- Johann Felix Soden <johfel@gmx.de>  Thu, 15 Apr 2010 16:03:42 +0200

pdftk (1.41+dfsg-7) unstable; urgency=low

  * Improve utf8-encoded attachment filename support (fixes crash on
    unpack_files) (Closes: #462756, #563330)

 -- Johann Felix Soden <johfel@gmx.de>  Wed, 27 Jan 2010 20:08:45 +0100

pdftk (1.41+dfsg-6) unstable; urgency=low

  * Add patch to circumvent libgcj10 exception with de_AT.UTF-8 locale.
    (Closes: #560594)
  * Conform patch descriptions to DEP3.
  * debian/rules: fail with error message if itext-*.so is missing.

 -- Johann Felix Soden <johfel@gmx.de>  Sun, 13 Dec 2009 17:41:56 +0100

pdftk (1.41+dfsg-5) unstable; urgency=low

  * debian/{rules,control}:
    - Support clean target in unpatched source dir.
    - Depend on proper main version of libgcj-bc.
  * Call g++/gcj with "-g" to improve usefulness of
    DEB_BUILD_OPTIONS=nostrip.

 -- Johann Felix Soden <johfel@gmx.de>  Thu, 10 Dec 2009 18:56:12 +0100

pdftk (1.41+dfsg-4) unstable; urgency=low

  * To solve a fill_form bug, insert itext.jar path into classpath.
  * Convert package to the 3.0 (quilt) source format.
  * Improve get-orig-source target:
   - debian/rules: support any working directory in get-orig-source.
   - debian/uscan-dfsg-clean.sh: do not add .orig to the main directory
     in .orig.tar.gz.

 -- Johann Felix Soden <johfel@gmx.de>  Sun, 29 Nov 2009 13:17:30 +0100

pdftk (1.41+dfsg-3) unstable; urgency=low

  * Add multistamp and multibackground support (Closes: #511415)
    - thanks to Bernhard R. Link <brlink@debian.org> for the patch.
  * Extend uncompression: Don't fail when for libitext unknown filters
    occur. (Closes: #550367)

 -- Johann Felix Soden <johfel@gmx.de>  Fri, 09 Oct 2009 22:48:13 +0200

pdftk (1.41+dfsg-2) unstable; urgency=low

  * Fix FTBFS on hppa:
   - debian/rules: enforce same version for gcj and g++.
   - debian/control: add g++-4.4 [hppa] to Build-Depends field.
  * debian/rules: add missing space in clean rule.
  * Fix failing on pdf files with owner password:
    - change pdftk-use-internal-itext and support_utf8_filenames
      in debian/patches and refresh other patches
  * Add uncompression support which was removed in 1.41+dfsg-1.
    (Closes: #547910)

 -- Johann Felix Soden <johfel@gmx.de>  Fri, 25 Sep 2009 11:54:04 +0200

pdftk (1.41+dfsg-1) unstable; urgency=low

  * Adopted the package with agreement of the previous maintainer
    - Thanks for your work Aurélien GÉRÔME!
  * DFSG-repack and use extern libitext-java (Closes: #519466)
  * Support newer gcj (Closes: #470215, #514561, #534080, #533795, #538252)
  * Handle utf8 filenames (Closes: #258377, #504014, #504128)
  * Handle utf8-data, CreationDate and ModDate fields in update_info correctly
    (Closes: #424920, #461169)
  * Rework build system
    - minimize dh rules
    - update dependencies
  * Bump Standards-Version to 3.8.3.
  * Update debian/watch and use created debian/uscan-dfsg-clean.sh
  * Clean debian/copyright from itext, use machine-readable format
    - upstream uses GPL-2+ (not unversioned GPL)
  * Add patch: use mkstemp instead of tmpnam
  * Add upstream changelog
  * Remove meaningless "useful" from short description and author-field from
    long description

 -- Johann Felix Soden <johfel@gmx.de>  Sat, 05 Sep 2009 15:14:40 +0200

pdftk (1.41-3) unstable; urgency=high

  * Change my email address in the Uploaders field.
  * Bump Standards-Version to 3.7.3.
  * Remove no longer used Vcs-Git, Vcs-Browser, and
    XS-DM-Upload-Allowed fields.
  * Change Build-Depends field: gcj-4.2 [!alpha !arm !hppa !hurd-i386].
    (Closes: #477898)

 -- Aurélien GÉRÔME <ag@debian.org>  Fri, 30 May 2008 15:08:46 +0200

pdftk (1.41-2) unstable; urgency=low

  * Switch from the XS-Vcs-Git/XS-Vcs-Browser fields to the
    Vcs-Git/Vcs-Browser fields and fix typos in both URLs.
  * Rework debian/copyright to include missing copyright holders
    and licenses.
  * Add the XS-DM-Upload-Allowed field.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Sun, 02 Dec 2007 00:02:04 +0100

pdftk (1.41-1) unstable; urgency=high

  * New upstream release. (Closes: #400920)
  * Regenerate upstream tarball by removing superfluous files.
    + debian/
    + java_libs/com/lowagie/text/pdf/PRStream.java.orig
    + java_libs/com/lowagie/text/pdf/PRTokeniser.java.orig
  * Add quilt support.
  * Add the XS-Vcs-Git and XS-Vcs-Browser fields.
  * Remove the uppercase at the beginning of the Description field.
  * Fix upstream homepage location. (Closes: #420973)
    + Remove it from the long description.
    + Add it in the new Homepage field.
  * Remove ${misc:Depends} from the Depends field.
  * Fix FTBFS due to new behaviour of gcjh since gcj-4.1.2.
    (Closes: #421341, #443714)
  * Fix ABI mismatch at runtime due to old embedded copies of gcj
    Java source code. (Closes: #426314)
    The following directories are thus no longer needed by Debian.
    + java_libs/gnu/
    + java_libs/gnu_local/
    + java_libs/java_local/
  * Change Build-Depends to gcj-4.2 and g++-4.2.
    + Depends on libgcj8-1. (Closes: #385914, #423417)
  * Fix lintian warnings "debian-rules-ignores-make-clean-error".
  * Remove unused debhelper tools from debian/rules.
  * Update debian/copyright.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Wed, 14 Nov 2007 14:40:12 +0100

pdftk (1.40-2) unstable; urgency=low

  * New maintainer.
  * Add debian/watch file.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Sun, 15 Oct 2006 17:14:13 +0200

pdftk (1.40-1) unstable; urgency=low

  * New upstream version.
    - Fix concatenation of 2 pdf documents which some kind of pdf
      (closes: bug#385598).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 22 Sep 2006 16:39:10 +0200

pdftk (1.12-11) unstable; urgency=low


