=== debian/control ===
Source: pdftk
Section: text
Priority: optional
Maintainer: Johann Felix Soden <johfel@gmx.de>
Build-Depends: debhelper (>= 7.0.50~), gcj, libitext-java-gcj, libitext-java, g++-4.4 [hppa]
Standards-Version: 3.8.4
Homepage: http://www.pdfhacks.com/pdftk/
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/collab-maint/pdftk.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pdftk.git;a=summary

Package: pdftk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${libgcj-bc:Depends}, ${libitext-java-gcj:Depends},
 libitext-java, libbcprov-java, libbcmail-java
Suggests: xpdf-utils
Description: tool for manipulating PDF documents
 If PDF is electronic paper, then pdftk is an electronic stapler-remover,
 hole-punch, binder, secret-decoder-ring, and X-Ray-glasses. Pdftk is a
 simple tool for doing everyday things with PDF documents. Keep one in the
 top drawer of your desktop and use it to:
  - Merge PDF documents
  - Split PDF pages into a new document
  - Decrypt input as necessary (password required)
  - Encrypt output as desired
  - Fill PDF Forms with FDF Data and/or Flatten Forms
  - Apply a Background Watermark
  - Report PDF on metrics, including metadata and bookmarks
  - Update PDF Metadata
  - Attach Files to PDF Pages or the PDF Document
  - Unpack PDF Attachments
  - Burst a PDF document into single pages
  - Uncompress and re-compress page streams
  - Repair corrupted PDF (where possible)
