=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Section: text
 Priority: optional
 Maintainer: Johann Felix Soden <johfel@gmx.de>
-Build-Depends: debhelper (>= 7.0.50~), gcj, libitext-java-gcj, libitext-java, g++-4.4 [hppa]
-Standards-Version: 3.8.4
-Homepage: http://www.pdfhacks.com/pdftk/
+Build-Depends: debhelper (>= 7.0.50~), gcj-4.6-jdk, g++-4.6
+Standards-Version: 3.9.2
+Homepage: http://www.pdflabs.com/tools/pdftk-the-pdf-toolkit/
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/collab-maint/pdftk.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pdftk.git;a=summary
 
 Package: pdftk
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${libgcj-bc:Depends}, ${libitext-java-gcj:Depends},
- libitext-java, libbcprov-java, libbcmail-java
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: xpdf-utils
 Description: tool for manipulating PDF documents
  If PDF is electronic paper, then pdftk is an electronic stapler-remover,
