=== debian/changelog ===
pdftk (2.01-1) unstable; urgency=low

  * New upstream version
    - supports AES encryption. (Closes: #703591)
    - crashes with some pdf 1.6 and 1.7 documents solved.
      (Closes: #706075,  #714518)
  * debian/patches/*: Drop upstream applied patches and rework the rest.
  * Build with gcj/g++-4.8 instead of -4.7.
  * Switch to debhelper compat v9.
  * debian/copyright: Update years and paths.
  * debian/control: Use anonscm.debian.org in VCS-* fields; Vcs-Git without
    experimental branch.
  * Fix hyphens in man page.

 -- Johann Felix Soden <johfel@debian.org>  Mon, 01 Jul 2013 00:19:19 +0200

pdftk (1.45-1) experimental; urgency=low

  * New upstream version. (Closes: #697642)
  * Adapt patches to new upstream version and drop fix_infinite_loop_on_lf_eol
    (solved differently by upstream).
  * Use gcj/g++-4.7 instead of -4.6.
  * Bump Standards-Version to 3.9.4 and add experimental branch to Vcs-Git.

 -- Johann Felix Soden <johfel@debian.org>  Sun, 03 Feb 2013 19:26:02 +0100

pdftk (1.44-7) unstable; urgency=low

  * Add patch to solve failures with particular PDF 1.5 documents generated
    e.g. by newer pdflatex versions: Do not fail if an ObjStm ends with a
    number. (Closes: #687669)
    Thanks to Robin Houston <robin.houston@gmail.com>.

 -- Johann Felix Soden <johfel@debian.org>  Tue, 08 Jan 2013 00:36:58 +0100

pdftk (1.44-6) unstable; urgency=medium

  * Fix burst command. It produced non-standard-conform pdf files whose unused
    xref entries were wrongly marked as used. (Closes: #685983)
  * debian/*: Change my e-mail address and remove DM upload rights.

 -- Johann Felix Soden <johfel@debian.org>  Mon, 03 Sep 2012 01:17:35 +0200

pdftk (1.44-5) unstable; urgency=medium

  * Add patches to fix
    - infinite loop with non-standard-conform pdf files.
    - NullPointerException on some pdf files.
    Thanks to Robin Houston <robin@mysociety.org>.
    (side-effect: Closes: #650628)
  * Overwrite additionally LC_ALL and LC_MESSAGES to circumvent
    libgcj problems with de_AT.UTF-8.
  * debian/copyright: Use copyright-format/1.0 and update years.
  * Bump Standards-Version to 3.9.2.

 -- Johann Felix Soden <johfel@gmx.de>  Thu, 23 Feb 2012 23:48:48 +0100

pdftk (1.44-4) unstable; urgency=low

  * Warn instead of fail processing a DRM protected pdf file if there is no
    owner password supplied. (Closes: #531529)
  * Support dpkg-buildflags, update patches/customise_build_parameters.
  * Switch to debhelper compat v8
  * debian/copyright: Update to latest DEP5 format and update years.

 -- Johann Felix Soden <johfel@gmx.de>  Sun, 25 Sep 2011 19:46:52 +0200
