=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: pdftk
 Section: text
 Priority: optional
-Maintainer: Johann Felix Soden <johfel@gmx.de>
-Build-Depends: debhelper (>= 7.0.50~), gcj-4.6-jdk, g++-4.6
-Standards-Version: 3.9.2
+Maintainer: Johann Felix Soden <johfel@debian.org>
+Build-Depends: debhelper (>= 9), gcj-4.8-jdk, g++-4.8
+Standards-Version: 3.9.4
 Homepage: http://www.pdflabs.com/tools/pdftk-the-pdf-toolkit/
-DM-Upload-Allowed: yes
-Vcs-Git: git://git.debian.org/git/collab-maint/pdftk.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/pdftk.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/pdftk.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pdftk.git;a=summary
 
 Package: pdftk
 Architecture: any
