=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 # use (temporary) fixed gcj/g++ version from debian/control
 VERSUFF=$(shell grep -oP '(?<=gcj)-[0-9.]*' debian/control)
+
+DPKG_EXPORT_BUILDFLAGS = 1
+-include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@
