## pdftk 2.02

=== java/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 # -*- Mode: Makefile -*-
-# Copyright (c) 2003-2013 Sid Steward
+#
+# Copyright (c) 2003-2013 Steward and Lee, LLC
 # This is part of pdftk
 #
 # Visit: www.pdftk.com for pdftk information and articles
@@ -53,6 +54,7 @@
 
 ifdef LIBGCJ_SUPPLEMENT
 libgcj_supplement_sources = $(wildcard java/security/*.java)
+libgcj_supplement_sources+= $(wildcard gnu/java/locale/*.java)
 libgcj_supplement_classes = $(patsubst %.java, %.class, $(libgcj_supplement_sources))
 
 LIBGCJ_SUPPLEMENT_O= $(LIBGCJ_SUPPLEMENT).o
@@ -60,7 +62,7 @@
 
 # don't use class list from java filenames because it omits local classes
 $(LIBGCJ_SUPPLEMENT_O) : $(libgcj_supplement_classes) $(libgcj_supplement_sources)
-	$(GJAR) -cf $(LIBGCJ_SUPPLEMENT_JAR) java/security/*.class
+	$(GJAR) -cf $(LIBGCJ_SUPPLEMENT_JAR) java/security/*.class gnu/java/locale/*.class
 	$(GCJ) $(GCJFLAGS) -c $(LIBGCJ_SUPPLEMENT_JAR)
 endif
 
@@ -73,5 +75,5 @@
 	$(RM) $(RMFLAGS) $(headers);
 ifdef LIBGCJ_SUPPLEMENT
 	$(RM) $(RMFLAGS) $(LIBGCJ_SUPPLEMENT_JAR) $(LIBGCJ_SUPPLEMENT_O);
-	$(RM) $(RMFLAGS) java/security/*.class
+	$(RM) $(RMFLAGS) java/security/*.class gnu/java/locale/*.class
 endif
