=== debian/changelog ===
pdftk (2.02-5) unstable; urgency=medium

  * Transition package to pdftk-java.
    - Due to the current gcj-dependency, pdftk is not supported anymore.

 -- Johann Felix Soden <johfel@debian.org>  Sun, 02 Dec 2018 14:33:47 +0100

pdftk (2.02-4) unstable; urgency=medium

  * Use again default gcj/g++ compiler. (Closes: #797841, #818778)
  * debian/watch: Disable misleading PGP detection.
  * debian/control: Use https:// links for Vcs-* and Homepage fields.
  * debian/copyright: Update year.
  * Bump Standards-Version to 3.9.7.

 -- Johann Felix Soden <johfel@debian.org>  Mon, 18 Apr 2016 22:45:59 +0200

pdftk (2.02-3) unstable; urgency=medium

  * Fix bug that corrupts images in PDF files on (de)compressing.
    (Closes: #787030)
  * debian/copyright: Use different shortcuts for "other" licenses.

 -- Johann Felix Soden <johfel@debian.org>  Thu, 02 Jul 2015 00:50:30 +0200

pdftk (2.02-2) unstable; urgency=medium

  * Implement 'inverted page ranges with "~"'. (Closes: #758761)
  * debian/copyright: Fix paths.
  * debian/watch: Fix URL, use https instead of http.
  * Bump Standards-Version to 3.9.6.

 -- Johann Felix Soden <johfel@debian.org>  Mon, 20 Oct 2014 23:42:29 +0200

pdftk (2.02-1) unstable; urgency=low

  * New upstream version.
  * Build with gcj/g++-4.9 instead of -4.8. (Closes: #747091)
  * debian/copyright:
    - Use new upstream name (PDFtk Server) and homepage.
      (Closes: #726596)
    - Update year.
  * Adapt patches to new upstream version.
  * Use "PDFtk" instead of "pdftk" in long description.
  * Add debug package (pdftk-dbg).
  * debian/rules: delete all generateds file in override_dh_auto_clean.
  * Bump Standards-Version to 3.9.5.

 -- Johann Felix Soden <johfel@debian.org>  Thu, 22 May 2014 01:01:16 +0200
