=== debian/control ===
Source: pdftk
Section: oldlibs
Priority: extra
Maintainer: Johann Felix Soden <johfel@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.2.1
Homepage: https://www.pdflabs.com/tools/pdftk-the-pdf-toolkit/

Package: pdftk
Architecture: any
Depends: pdftk-java, ${misc:Depends}
Description: transitional package for pdftk, a tool for manipulating PDF documents
 PDFtk is no longer available in Debian. This package enables an upgrade to
 pdftk-java, a port of PDFtk to Java. This package can be safely removed.
 .
 If PDF is electronic paper, then PDFtk is an electronic stapler-remover,
 hole-punch, binder, secret-decoder-ring, and X-Ray-glasses. PDFtk is a
 simple tool for doing everyday things with PDF documents. Keep one in the
 top drawer of your desktop and use it to:
  - Merge PDF documents
  - Split PDF pages into a new document
  - Decrypt input as necessary (password required)
  - Encrypt output as desired
  - Fill PDF Forms with FDF Data and/or Flatten Forms
  - Apply a Background Watermark
  - Report PDF on metrics, including metadata and bookmarks
  - Update PDF Metadata
  - Attach Files to PDF Pages or the PDF Document
  - Unpack PDF Attachments
  - Burst a PDF document into single pages
  - Uncompress and re-compress page streams
  - Repair corrupted PDF (where possible)
