=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# extract version suffix from gcj
# VERSUFF=-$(shell gcj --version | sed -r -e '1s/.* ([0-9]+\.[0-9]+).*/\1/;q')

# use (temporary) fixed gcj/g++ version from debian/control
# VERSUFF=$(shell grep -oP '(?<=gcj)-[0-9.]*' debian/control)

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

%:
	dh $@

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST))).. && \
	uscan --force-download --repack --rename --destdir $(CURDIR)
